# Generated by Django 5.0.2 on 2024-02-16 18:01

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0021_alter_user_photo_alter_user_title'),
    ]

    operations = [
        migrations.AlterField(
            model_name='competenceprofile',
            name='author',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='competence_profile', to='api.user'),
        ),
        migrations.AlterField(
            model_name='competenceprofile',
            name='external_link',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='competenceprofile',
            name='publications',
            field=models.CharField(blank=True, max_length=1000, null=True),
        ),
        migrations.AlterField(
            model_name='competenceprofile',
            name='publications_file',
            field=models.FileField(blank=True, null=True, upload_to='bibliography'),
        ),
        migrations.AlterField(
            model_name='researchlab',
            name='description',
            field=models.CharField(blank=True, max_length=4096, null=True),
        ),
        migrations.AlterField(
            model_name='researchnetwork',
            name='description',
            field=models.CharField(blank=True, max_length=4096, null=True),
        ),
        migrations.AlterField(
            model_name='researchnetwork',
            name='external_link',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='researchnetwork',
            name='research_description',
            field=models.CharField(blank=True, max_length=4096, null=True),
        ),
        migrations.AlterField(
            model_name='researchnetworkevent',
            name='description',
            field=models.CharField(blank=True, max_length=4096, null=True),
        ),
        migrations.AlterField(
            model_name='researchproject',
            name='description',
            field=models.CharField(blank=True, max_length=4096, null=True),
        ),
    ]
